* { margin: 0; padding: 0; box-sizing: border-box; font-family: "Fira Sans", sans-serif;}
#result-container { background: #cccc; padding-bottom: 20px;}.result-title { text-align: center; padding-top: 15px;}
.news-result { font-size: 15px; color: gray;}
#results { padding: 15px 100px; display: flex; justify-content: space-around; flex-flow: wrap; align-items: flex-start;}
.card { width: 30%; background: #fff; border: 1px solid #ccc; margin: 10px; overflow: hidden;}
.card-image { width: 100%; display: block; height: 250px;}
.card-body { padding: 15px; font-size: 15px;}
.card-content { font-size: 20px; margin: 10px 0;}
.card-author { margin-top: 5px; color: #6b75a7; font-size: 18px;}
.card-action { display: flex; justify-content: space-between;}
.card-footer { border-top: 1px solid gray; padding: 20px; color: #6b75a7; width: 100%; display: block;}
.btn { padding: 10px; background-color: #343a40; border-radius: 5px; color: white; border: none; transition: 0.2s; cursor: pointer; font-size: 16px;}
.pagination { display: flex; justify-content: center;}
a { text-decoration: none; display: inline-block; padding: 8px 16px;}
a:hover { background-color: #ddd; color: black;}
.previous { background-color: #f1f1f1; color: black;}
.next { background-color: #343a40; color: white;}
.button { background: #428bca; padding: 1em 2em; color: #fff; border: 0; border-radius: 5px; cursor: pointer;}
.button:hover { background: #3876ac;}
.modal { display: block; position: fixed; z-index: 1; left: 0; top: 0; height: 100%; width: 100%; overflow: auto; background-color: rgba(0, 0, 0, 0.5);}
.modal-content { margin: 10% auto; width: 30%; box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.2), 0 7px 20px 0 rgba(0, 0, 0, 0.17);}
.modal-header h2,.modal-footer h3 { margin: 0;}
.modal-header { background: #343a40; padding: 15px; color: #fff; border-top-left-radius: 5px; border-top-right-radius: 5px;}
.modal-body { padding: 10px 20px; background: #fff;}
.modal-body p { padding: 10px; font-size: 16;}
.modal-footer { padding: 10px; color: #fff; text-align: center; border-bottom-left-radius: 5px; border-bottom-right-radius: 5px;}
.close { color: #ccc; float: right; font-size: 30px; color: #fff;}
.close:hover,.close:focus { color: #000; text-decoration: none; cursor: pointer;}
.modal-image { width: 100%; height: auto;}
@media (min-width: 250px), (min-width: 300px), (min-width: 400px) { #results { margin: 0; padding: 20px; flex-direction: column; flex-wrap: wrap; justify-content: space-between; } .card { width: 100%; margin: 0; margin-bottom: 10px; }
 .modal-content { margin: 10% 5%; width: auto; }}
@media (min-width: 780px) { #results { padding: 10px; display: flex; justify-content: space-around; flex-flow: wrap; }
 .card { width: 350px; margin-bottom: 20px; }}
@media (min-width: 1000px) { #results { padding: 15px 100px; display: flex; justify-content: space-around; flex-flow: wrap; align-items: flex-start; }
 .card { width: 30%; }
 .modal-content { margin: 10% auto; width: 30%; }}